Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.runtime
Interface JDBCFetchConfiguration

All Superinterfaces:
  Cloneable, FetchConfiguration, Serializable

public interface JDBCFetchConfiguration
extends FetchConfiguration

JDBC extensions to Kodo's `FetchConfiguration`.

Since:
  3.0

Field Summary
`static int` | `JOIN_SYNTAX_DATABASE` Native database join syntax; outer joins are supported.
`static int` | `JOIN_SYNTAX_SQL92` ANSI SQL 92 join syntax; outer joins are supported.
`static int` | `JOIN_SYNTAX_TRADITIONAL` Traditional join syntax; outer joins are not supported.
`static int` | `QUERY_BASE_TABLES` Query mode to select only base class fields when selecting vertical subclasses.
`static int` | `QUERY_PER_SUBCLASS` Query mode to issue one select per vertical subclass.
`static int` | `SIZE_LAST` Mode for using `ResultSet.last()` to calcualte the size of large result sets.
`static int` | `SIZE_QUERY` Mode for using a query to calculate the size of large result sets.
`static int` | `SIZE_UNKNOWN` Mode for returning `Integer.MAX_VALUE` for the size of large result sets.

Fields inherited from interface kodo.runtime.FetchConfiguration
`DEFAULT, EAGER_FETCH_MULTIPLE, EAGER_FETCH_NONE, EAGER_FETCH_SINGLE, EAGER_JOIN, EAGER_NONE, EAGER_PARALLEL, FETCH_GROUP_ALL, LOCK_NONE, LOCK_READ, LOCK_WRITE, QUERY_FLUSH_FALSE, QUERY_FLUSH_TRUE, QUERY_FLUSH_WITH_CONNECTION`

Method Summary
`int` | `getFetchDirection()` The fetch direction to use as a constant from `ResultSet`.
`int` | `getJoinSyntax()` The join syntax to use.
`int` | `getLRSSize()` The large result set size mode to use.
`int` | `getResultSetType()` The result set type to use as a constant from `ResultSet`.
`void` | `setFetchDirection(int direction)` The fetch direction to use as a constant from `ResultSet`.
`void` | `setJoinSyntax(int syntax)` The join syntax to use.
`void` | `setLRSSize(int lrsSize)` The large result set size mode to use.
`void` | `setResultSetType(int type)` The result set type to use as a constant from `ResultSet`.

Methods inherited from interface kodo.runtime.FetchConfiguration
`addFetchGroup, addFetchGroups, addFetchGroups, addField, addField, addFields, addFields, addFields, addFields, clearFetchGroups, clearFields, clone, copy, getEagerFetchMode, getFetchBatchSize, getFetchGroups, getFields, getFlushBeforeQueries, getLockTimeout, getPersistenceManager, getReadLockLevel, getSubclassFetchMode, getWriteLockLevel, hasFetchGroup, hasField, hasField, isQueryCacheEnabled, newResultList, removeFetchGroup, removeFetchGroups, removeFetchGroups, removeField, removeField, removeFields, removeFields, removeFields, removeFields, resetFetchGroups, setEagerFetchMode, setFetchBatchSize, setFlushBeforeQueries, setLockTimeout, setPersistenceManager, setQueryCacheEnabled, setReadLockLevel, setSubclassFetchMode, setWriteLockLevel`

Field Detail

### SIZE_UNKNOWN

    public static final int SIZE_UNKNOWN

  Mode for returning `Integer.MAX_VALUE` for the size of large result sets.

### SIZE_LAST

    public static final int SIZE_LAST

  Mode for using `ResultSet.last()` to calcualte the size of large result sets.

### SIZE_QUERY

    public static final int SIZE_QUERY

  Mode for using a query to calculate the size of large result sets.

### JOIN_SYNTAX_SQL92

    public static final int JOIN_SYNTAX_SQL92

  ANSI SQL 92 join syntax; outer joins are supported. Equivalent to `Join.SYNTAX_SQL92`.

### JOIN_SYNTAX_TRADITIONAL

    public static final int JOIN_SYNTAX_TRADITIONAL

  Traditional join syntax; outer joins are not supported. Equivalent to `Join.SYNTAX_TRADITIONAL`.

### JOIN_SYNTAX_DATABASE

    public static final int JOIN_SYNTAX_DATABASE

  Native database join syntax; outer joins are supported. Equivalent to `Join.SYNTAX_DATABASE`.

### QUERY_PER_SUBCLASS

    public static final int QUERY_PER_SUBCLASS

  Query mode to issue one select per vertical subclass.

### QUERY_BASE_TABLES

    public static final int QUERY_BASE_TABLES

  Query mode to select only base class fields when selecting vertical subclasses.

Method Detail

### getResultSetType

    public int getResultSetType()

  The result set type to use as a constant from `ResultSet`. Defaults to the `kodo.jdbc.ResultSetType` setting.

### setResultSetType

    public void setResultSetType(int type)

  The result set type to use as a constant from `ResultSet`. Defaults to the `kodo.jdbc.ResultSetType` setting.

### getFetchDirection

    public int getFetchDirection()

  The fetch direction to use as a constant from `ResultSet`. Defaults to the `kodo.jdbc.FetchDirection` setting.

### setFetchDirection

    public void setFetchDirection(int direction)

  The fetch direction to use as a constant from `ResultSet`. Defaults to the `kodo.jdbc.FetchDirection` setting.

### getLRSSize

    public int getLRSSize()

  The large result set size mode to use. Defaults to the `kodo.jdbc.LRSSize` setting.

### setLRSSize

    public void setLRSSize(int lrsSize)

  The large result set size mode to use. Defaults to the `kodo.jdbc.LRSSize` setting.

### getJoinSyntax

    public int getJoinSyntax()

  The join syntax to use. Defaults to the `kodo.jdbc.JoinSyntax` setting.

### setJoinSyntax

    public void setJoinSyntax(int syntax)

  The join syntax to use. Defaults to the `kodo.jdbc.JoinSyntax` setting.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.